Attribute VB_Name = "Module1"
Option Explicit

' getpic()                      function with no arguments will return the selected PIC microcontroller model [string].
' getpath()                     function with no arguments will return the path of loaded HEX file [string].
' getinst()                     function with no arguments will return the mnemonics of last executed instruction [string].
' getcrystal()                  function with no arguments will return the clock frequency parameter [string].
' getclockcycles()              function with no arguments will return the number of clock cycles passed after the start of the simulation.
'                               The last two functions will enable the external client application to develop a real time behavior if needed.
' getpc()                       function will return the value in PC register.
' getw()                        function will return the value in W register.
' getflash(address)             function will return the value in the flash memory location specified by 'address' argument [0-(max available)].
'                               Value -1 is returned if argument is out of range. This note is valid for all the other functions, also.
' geteeprom(address)            function will return the value in the eeprom memory location specified by 'address' argument [0-(max available)].
' getreg(address)               function will return the value in one of the special function or general purpose registers specified by 'address' argument [0-511].
' setreg(address,value)         procedure will set the new register value, 'address' argument [0-511], 'value' argument [0-255].
' setregbit(address,bit,value)  procedure will set the new value for the specified register bit, 'address' argument [0-511], 'bit' argument [0-7], 'value' argument [0-1].
' getstack(level)               function will return the value stored in one of the stack levels [1-8].
' getportstate(address)         function will return the real logic levels on the port 'address' argument [5(PORTA)-11(PORTG)].
' setpinstate(port,pin,state)   procedure will set the logic level on the addressed pin, 'port' argument [5(PORTA)-11(PORTG)], 'pin' argument [0-7], 'state' argument [0-1].
' getanalog(an)                 function will return the analog value on the analog input specified by 'an' argument [0-15].
' setanalog(an,value)           procedure will set the analog value on the addressed analog input, 'an' argument [0-15], 'value' argument [0-1023].
' extsimstart()                 procedure will start the simulation.
' extsimstop()                  procedure will stop the simulation.
' extsimstep()                  procedure will execute one simulation step if in Step By Step mode.
' extsimrate(rate)              procedure will change the simulation rate, 'rate' argument [1(Step By Step)-6(Ultimate)].

' objectinit()                  procedure will be called at the beginning of the simulation in PIC Simulator IDE. With this procedure external module should be initialized to a known initial state.
' objectrefresh()               procedure will be called after every simulated instruction.
' objectterm()                  procedure needs to contain the code to terminate external module application (typically End statement).

Global Const ccSTATUS = 3
Global Const ccPORTB = 6



Private Sub Main()

frmStatusFlags.Show

End Sub

Public Function hex2(ByVal ulaz As Long) As String

hex2 = Right("0" + Hex(ulaz), 2) + "h"

End Function

Public Function hex4(ByVal ulaz As Long) As String

hex4 = Right("000" + Hex(ulaz), 4) + "h"

End Function
